ata_port_alloc
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_port_alloc — allocate and initialize basic ATA port resources

## Synopsis

`struct ata_port * ata_port_alloc (` | struct ata_host * | host`)`;

## Arguments

`host`

  ATA host this allocated port belongs to

## Description

Allocate and initialize basic ATA port resources.

## RETURNS

Allocate ATA port on success, NULL on failure.

## LOCKING

Inherited from calling layer (may sleep).

Prev | Up | Next
sata_link_init_spd | Home | ata_port_detach